1 Reply Latest reply on Dec 4, 2017 11:59 PM by sujayy_46

    Perl installation issue with SDK2.2.3 - OSX Sierra (10.12.6)

    mickael.toumi_1583836

      Hello,

       

      I am upgrading the installation from WICED Smart SDK2.2.2 to 2.2.3. Compiling a sample code gives me the following:

       

      dyld: Library not loaded: /System/Library/Perl/5.12/darwin-thread-multi-2level/CORE/libperl.dylib

       

      I do not have /System/Library/Perl/5.12 installed.  libperl.dylib is  available under 5.18 (as well as 5.16):

       

      /System/Library/Perl/5.18/darwin-thread-multi-2level/CORE/libperl.dylib

       

      I do not have an option to easily change the content of /System/Library/Perl on MacOSX.

       

      Please provide a solution (or possible configuration) to get the this problem solved.

       

      BTW there is a similar post on this here (I installed WICED Smart IDE 2.1.1 on OSX Yosemite - Problems ).